Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2243299 - pyanaconda.modules.common.errors.installation.BootloaderInstallationError: boot loader install failed
Summary: pyanaconda.modules.common.errors.installation.BootloaderInstallationError: bo...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 39
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: anaconda-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:54490fd294abdb506cfecde0e18...
Depends On:
Blocks: IoT
TreeView+ depends on / blocked
 
Reported: 2023-10-11 16:30 UTC by Geoffrey Marr
Modified: 2024-04-02 03:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-10-12 16:21:47 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: lsblk_output (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: description (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: packaging.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: anaconda-tb (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: storage.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: lorax-packages.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: syslog (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: nmcli_dev_list (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: program.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: dbus.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: environ (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: lvm.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: os_info (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: anaconda.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details
File: packaging.log (deleted)
2023-10-11 16:30 UTC, Geoffrey Marr
no flags Details

Description Geoffrey Marr 2023-10-11 16:30:20 UTC
Description of problem:
Booted Fedora-IoT-ostree-x86_64-39-20231010.0.iso in Boxes. Proceeded with configuring storage (default), creating a root account with password, and creating a user account with admin privilages. Began installation, when system got to "Installing boot loader", it failed.

Version-Release number of selected component:
anaconda-39.32.3


The following was filed automatically by anaconda:
anaconda 39.32.3 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.12/site-packages/dasbus/client/handler.py", line 509, in _handle_method_error
    raise exception from None
  File "/usr/lib/python3.12/site-packages/dasbus/client/handler.py", line 483, in _get_method_reply
    return self._handle_method_error(error)
  File "/usr/lib/python3.12/site-packages/dasbus/client/handler.py", line 450, in _call_method
    return self._get_method_reply(
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/__init__.py", line 46, in sync_run_task
    task_proxy.Finish()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation.py", line 439, in run_install_bootloader
    sync_run_task(STORAGE.get_proxy(task))
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 246, in _run
    self._task_cb(*self._task_args, **self._task_kwargs)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 75, in start
    self._run()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 188, in _run
    item.start()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 75, in start
    self._run()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 188, in _run
    item.start()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 75, in start
    self._run()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 188, in _run
    item.start()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation_tasks.py", line 75, in start
    self._run()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation.py", line 515, in _run_installation
    queue.start()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/installation.py", line 80, in run
    self._run_installation(
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 107, in _task_run_callback
    self._set_result(self.run())
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 94, in _thread_run_callback
    self._task_run_callback()
  File "/usr/lib64/python3.12/threading.py", line 989, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/threads.py", line 280, in run
    threading.Thread.run(self)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/threads.py", line 171, in raise_if_error
    raise exc_info[1]
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/task.py", line 173, in finish
    thread_manager.raise_if_error(self._thread_name)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/ui/gui/spokes/installation_progress.py", line 75, in _on_installation_done
    self._task.finish()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/signal.py", line 41, in emit
    func(obj, *args, **kargs)
  File "/usr/lib64/python3.12/site-packages/pyanaconda/modules/common/task/runnable.py", line 115, in _task_stopped_callback
    self._stopped_signal.emit()
  File "/usr/lib64/python3.12/site-packages/pyanaconda/core/async_utils.py", line 68, in _idle_method
    func(*args, **kwargs)
pyanaconda.modules.common.errors.installation.BootloaderInstallationError: boot loader install failed

Additional info:
type:           anaconda
package:        anaconda-39.32.3
version:        39
kernel:         6.5.6-300.fc39.x86_64
executable:     /sbin/anaconda
cmdline:        /usr/bin/python3  /sbin/anaconda
hashmarkername: anaconda
release:        Fedora release 39 (Thirty Nine)
reason:         pyanaconda.modules.common.errors.installation.BootloaderInstallationError: boot loader install failed
comment:        Booted Fedora-IoT-ostree-x86_64-39-20231010.0.iso in Boxes. Proceeded with configuring storage (default), creating a root account with password, and creating a user account with admin privilages. Began installation, when system got to "Installing boot loader", it failed.
product:        Fedora
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-iot-ostree-x86_64-39 quiet
addons:         com_redhat_kdump

Comment 1 Geoffrey Marr 2023-10-11 16:30:23 UTC
Created attachment 1993505 [details]
File: backtrace

Comment 2 Geoffrey Marr 2023-10-11 16:30:24 UTC
Created attachment 1993506 [details]
File: lsblk_output

Comment 3 Geoffrey Marr 2023-10-11 16:30:26 UTC
Created attachment 1993507 [details]
File: description

Comment 4 Geoffrey Marr 2023-10-11 16:30:27 UTC
Created attachment 1993508 [details]
File: packaging.log

Comment 5 Geoffrey Marr 2023-10-11 16:30:29 UTC
Created attachment 1993509 [details]
File: anaconda-tb

Comment 6 Geoffrey Marr 2023-10-11 16:30:31 UTC
Created attachment 1993510 [details]
File: storage.log

Comment 7 Geoffrey Marr 2023-10-11 16:30:32 UTC
Created attachment 1993511 [details]
File: lorax-packages.log

Comment 8 Geoffrey Marr 2023-10-11 16:30:34 UTC
Created attachment 1993512 [details]
File: syslog

Comment 9 Geoffrey Marr 2023-10-11 16:30:35 UTC
Created attachment 1993513 [details]
File: nmcli_dev_list

Comment 10 Geoffrey Marr 2023-10-11 16:30:37 UTC
Created attachment 1993514 [details]
File: program.log

Comment 11 Geoffrey Marr 2023-10-11 16:30:39 UTC
Created attachment 1993515 [details]
File: dbus.log

Comment 12 Geoffrey Marr 2023-10-11 16:30:40 UTC
Created attachment 1993516 [details]
File: environ

Comment 13 Geoffrey Marr 2023-10-11 16:30:42 UTC
Created attachment 1993517 [details]
File: lvm.log

Comment 14 Geoffrey Marr 2023-10-11 16:30:44 UTC
Created attachment 1993518 [details]
File: os_info

Comment 15 Geoffrey Marr 2023-10-11 16:30:45 UTC
Created attachment 1993519 [details]
File: anaconda.log

Comment 16 Geoffrey Marr 2023-10-11 16:30:46 UTC
Created attachment 1993520 [details]
File: packaging.log

Comment 17 Geoffrey Marr 2023-10-12 16:21:47 UTC
Closing bug, this bug has to do with IoT not booting in Boxes/virt without UEFI. I booted in emulated BIOS and got this error. This is expected behavior.

Comment 18 tom 2024-03-19 01:10:17 UTC
using fedora live Kde spin trying to update from 33 to 39.  Told install process to use existing boot and / partitions.
I believe this is NOT an EFI system.


cmdline:        /usr/bin/python3  /sbin/anaconda --liveinst --graphical
hashmarkername: anaconda
product:        Fedora
package:        anaconda-core-39.32.6-2.fc39.x86_64
reason:         pyanaconda.modules.common.errors.installation.BootloaderInstallationError: boot loader install failed
release:        Fedora release 39 (Thirty Nine)
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz root=live:CDLABEL=Fedora-KDE-Live-39-1-5 rd.live.image quiet rhgb
addons:         com_redhat_kdump
kernel:         6.5.6-300.fc39.x86_64
version:        39
other involved packages: python3-dasbus-1.7-4.fc39.noarch, anaconda-gui-39.32.6-2.fc39.x86_64, python3-libs-3.12.0-1.fc39.x86_64

Comment 19 spmfox 2024-04-02 03:09:53 UTC
Installing Fedora IOT edition (in a VM or on metal) using BIOS fails for me.


kernel:         6.5.6-300.fc39.x86_64
cmdline:        /usr/bin/python3  /sbin/anaconda
addons:         com_redhat_kdump
comment:        Installing Fedora IOT edition (in a VM or on metal) using BIOS fails for me.
product:        Fedora
cmdline_file:   BOOT_IMAGE=/images/pxeboot/vmlinuz inst.stage2=hd:LABEL=Fedora-iot-ostree-x86_64-39 quiet
version:        39
package:        anaconda-39.32.6
reason:         pyanaconda.modules.common.errors.installation.BootloaderInstallationError: boot loader install failed
hashmarkername: anaconda
release:        Fedora release 39 (Thirty Nine)


Note You need to log in before you can comment on or make changes to this bug.